## org.apache.batik.ext.awt.image.codec
Class SeekableOutputStream

    java.lang.Object
      java.io.OutputStream
          org.apache.batik.ext.awt.image.codec.SeekableOutputStream

public class SeekableOutputStream
extends java.io.OutputStream

An `OutputStream` which can seek to an arbitrary offset.

Constructor Summary
`SeekableOutputStream(java.io.RandomAccessFile file)` Constructs a `SeekableOutputStream` from a `RandomAccessFile`.

Method Summary
`void` `close()`
`void` `flush()` Invokes `getFD().sync()` on the underlying `RandomAccessFile`.
`long` `getFilePointer()`
`void` `seek(long pos)`
`void` `write(byte[] b)`
`void` `write(byte[] b, int off, int len)`
`void` `write(int b)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SeekableOutputStream

    public SeekableOutputStream(java.io.RandomAccessFile file)

  Constructs a `SeekableOutputStream` from a `RandomAccessFile`. Unless otherwise indicated, all method invocations are fowarded to the underlying `RandomAccessFile`.

Parameters:
  `file` - The `RandomAccessFile` to which calls will be forwarded.
Throws:
  `java.lang.IllegalArgumentException` - if `file` is `null`.

Method Detail

### write

    public void write(int b)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### write

    public void write(byte[] b)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### flush

    public void flush()
               throws java.io.IOException

  Invokes `getFD().sync()` on the underlying `RandomAccessFile`.

  Throws:
    `java.io.IOException`

### close

    public void close()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### getFilePointer

    public long getFilePointer()
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### seek

    public void seek(long pos)
              throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.